package ru.yandex.direct.web.entity.banner.model;

import javax.annotation.ParametersAreNonnullByDefault;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

@ParametersAreNonnullByDefault
public class WebBannerTurbolanding {

    @SuppressWarnings("WeakerAccess")
    public static class Prop {
        private Prop() {
        }

        public static final String ID = "id";
    }

    @JsonProperty(Prop.ID)
    @JsonDeserialize(as = Long.class)
    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public WebBannerTurbolanding withId(Long id) {
        this.id = id;
        return this;
    }
}
